pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Represents one of the lines resulting from laying out a paragraph via . s are obtained by calling and are only valid until the text, attributes, or settings of the parent are modified. System.ValueType
- Method
  System.Void Increases the reference count of a by one.
- Method
  System.Void Decreases the reference count of a by one. If the result is zero, the line and all associated memory will be freed.
- Method
  System.Boolean `` `` `` Converts from x offset to the byte index of the corresponding character within the text of the layout. the x offset (in ) from the left edge of the line. location to store calculated byte offset for the grapheme in which the user clicked. location to store a integer indicating where in the grapheme the user clicked. It will either be zero, or the number of characters in the grapheme. 0 represents the trailing edge of the cluster. if x_pos was outside the line, if inside If is outside the line, the start or end of the line will be stored at .
- Method
  System.Void `` `` Computes the logical and ink extents of a layout line. rectangle used to store the extents of the glyph string as drawn or to indicate that the result is not needed. rectangle used to store the logical extents of the glyph string or to indicate that the result is not needed. See the documentation for for details about the interpretation of the rectangles.
- Method
  System.Void `` `` Computes the logical and ink extents of a layout line. rectangle used to store the extents of the glyph string as drawn or to indicate that the result is not needed. rectangle used to store the logical extents of the glyph string or to indicate that the result is not needed. See the documentation for for details about the interpretation of the rectangles. The returned rectangles are in device units, as opposed to , which returns the extents in .
- Method
  System.Int32 `` `` Converts an index within a line to a X position. byte offset of a grapheme within the layout Indicates the edge of the grapheme to retrieve the position of. If , the trailing edge of the grapheme, if , the leading of the grapheme. the x_offset (in )
- Property
  Pango.Layout The parent for this line. a
- Property
  System.Int32 the start of the line as byte index into . a
- Property
  System.Int32 the length of the line in bytes. a
- Constructor
  Internal constructor.
  a
  a
  This is an internal constructor, and should not be used by user code.
- Method
  System.Void `` `` `` Gets a list of visual ranges corresponding to a given logical range. Start byte index of the logical range. If this value is less than the start index for the line, then the first range will extend all the way to the leading edge of the layout. Otherwise it will start at the leading edge of the first character. Ending byte index of the logical range. If this value is greater than the end index for the line, then the last range will extend all the way to the trailing edge of the layout. Otherwise, it will end at the trailing edge of the last character. location to store an array of ranges. The array will be of length 2*n_ranges, with each range starting at (*ranges)[2*n] and of width (*ranges)[2*n + 1] - (*ranges)[2*n]. This array must be freed with g_free(). The coordinates are relative to the layout and are in . This list is not necessarily minimal - there may be consecutive ranges which are adjacent. The ranges will be sorted from left to right. The ranges are with respect to the left edge of the entire layout, not with respect to the line.